#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n;
    cin>>n;
    long long a[n];
    for(long long i=0; i<n; i++)
    {
        cin>>a[i];
    }
    if(n==2)
    {
        swap(a[0],a[1]);
        goto k;
    }
    for(long long i=1; i<n; i++)
    {
        if(a[i-1]<a[i] && a[i+1]<a[i])
        {
            if(a[i-1]>a[i+1])
            {
                swap(a[i],a[i-1]);
                goto k;
            }
            if(a[i-1]<a[i+1])
            {
                swap(a[i],a[i+1]);
                goto k;
            }
        }
        if(a[i-1]>a[i] && a[i+1]>a[i])
        {
            if(a[i-1]>a[i+1])
            {
                swap(a[i],a[i+1]);
                goto k;
            }
            if(a[i-1]<a[i+1])
            {
                swap(a[i],a[i-1]);
                goto k;
            }
        }
        if(a[i-1]==a[i])
        {
            swap(a[i-1],a[i]);
            goto k;
        }
        if(a[i+1]==a[i])
        {
            swap(a[i+1],a[i]);
            goto k;
        }
    }

    k:
    for(long long i=0; i<n; i++)
    {
        cout<<a[i]<<" ";
    }

    return 0;
}